package domain

type AlibabaWdkMarketingItempoolAdditemMarketResult struct {
	/*
	   错误信息     */
	Message *string `json:"message,omitempty" `

	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   报名活动成功的商品详情     */
	Data *AlibabaWdkMarketingItempoolAdditemItemPoolSku `json:"data,omitempty" `

	/*
	   是否报名成功     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaWdkMarketingItempoolAdditemMarketResult) SetMessage(v string) *AlibabaWdkMarketingItempoolAdditemMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolAdditemMarketResult) SetErrorCode(v string) *AlibabaWdkMarketingItempoolAdditemMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolAdditemMarketResult) SetData(v AlibabaWdkMarketingItempoolAdditemItemPoolSku) *AlibabaWdkMarketingItempoolAdditemMarketResult {
	s.Data = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolAdditemMarketResult) SetSuccess(v bool) *AlibabaWdkMarketingItempoolAdditemMarketResult {
	s.Success = &v
	return s
}
